Support » Plugin: Better Font Awesome » V 1.7.1 fails to upgrade

  • Resolved nikdow

    (@nikdow)


    Plugin auto-upgraded on two of our sites today and is broken. WP reports it is missing it’s core library:

    It appears that Better Font Awesome is missing it’s core library, which typically occurs when cloning the Git repository and not updating all submodules. Please refer to the plugin’s installation instructions for details on how to properly install Better Font Awesome via Git. If you installed from within WordPress, or via the wordpress.org repo, then chances are the install failed and you can try again. If the issue persists, please create a new topic on the plugin’s support forum or file an issue on the Github repo.

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author Mickey Kay

    (@mcguive7)

    Hi there – I’m not able to reproduce this behavior. Can you please tell me a bit more about your setup, and which version you were running before the update? Also, have you tried re-installing the plugin? I’m curious if this solves your problem. Either way, I’d like to look into the issue, however just to get you back up and running I would try re-installing the plugin.

    • This reply was modified 2 years ago by  Mickey Kay.
    nikdow

    (@nikdow)

    HI thanks for quick answer. We have plugins on auto-update so it would have been running 1.7.0 previously.

    I downgraded to 1.7.0 after the upgrade and the plugin started working again. But I forgot to turn off the auto-upgrade, so 1.7.1 came back a few hours later. This time it worked OK, which has me very puzzled.

    So it’s working now with 1.7.1. I can only guess that it was a problem with the file upload somehow.

    Plugin Author Mickey Kay

    (@mcguive7)

    Thanks for the update. I’m puzzled as well, though I have seen this exact thing happen to others before, with an assortment of plugins. All I can imagine is that for some reason the update failed, or only partially completed, thus leaving you without the full file structure. Either way, glad to hear things are working for you now, and much appreciation for following up to confirm!

    nikdow

    (@nikdow)

    Thanks for your help and thanks for the awesome font plugin!

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘V 1.7.1 fails to upgrade’ is closed to new replies.